import krister.Ess.*;

PImage bg1;
PImage bg2;
PImage cloud1;
PImage cloud2;
PImage friend;
PFont f;
PFont f1;
PFont fmid;
PFont fbig;
PFont f2;
int stars = 50;
int cloudrand = 0;

String id = "sawako";

mySpaceGrabberMe wg;
int fdn;
mySpaceGrabber[] fdids;


//FOR FRIENDS DATA
PImage friendsImg[];
String friendsName[];
boolean friendsOnline[];
int friendsPageView[];
int friendsFriendsNo[];
int friendsID[];
String friendsSpecie[];

//for sound
int numSines = 5; // Number of oscillators to use
float frequency[];
AudioStream myStream; // Audio stream to write into
SineWave [] myWave; // Array of sines
FadeOut myFadeOut; // Amplitude ramp function
FadeIn myFadeIn; // Amplitude ramp function


//FOR KEYTYPE
String typing = ""; // Var to store text currently being typed 
String saved = "";  // Var to store saved text when return is hitstore the text as it is being  typed. 
int finish = 0;
boolean overButton = false;
boolean overTryAgain = false;
int checkdone = 0; //to check the progress
boolean modechange = true;

//STORY START HERE!!!!!

void setup() {
  size(380,425);

  frameRate(8);

  f1 = createFont("HelveticaNeue-Light",14,true);
  f = createFont("HelveticaRounded-Bold",9,true);
  f2 = createFont("HelveticaRounded-Bold",14,true);
  fmid = createFont("HelveticaRounded-Bold",20,true);
  fbig = createFont("HelveticaRounded-Bold",30,true);

  bg1 = loadImage("friendbuilding2.gif");
  bg2 = loadImage("friendbuilding.gif");
  cloud1 = loadImage("click1.gif");
  cloud2 = loadImage("click2.gif"); 
  friend = loadImage("friend.jpg");
}

void draw() {

  background(255); 
  ellipseMode(CENTER);
  textFont(f2); 
  fill(33);
  stroke(33);

  keykey();

  if(checkdone==1){

    friendchecker(); 
    checkdone = 2;
    finish = 1;
  } 
  else if (checkdone==2){ 

    background(255);
    playground(); 

    image(bg2, 0, 0);

    String mySpecies = wg.getSpecies();

    if (mySpecies == "invalid")
    {
      image(bg1, 0, 0);
      textFont(fmid); 
      fill(133,0,0);
      stroke(133, 0, 0);
      text("invalid ID", 22+int(random(10)), 230);
    }
    else if (mySpecies == "private") { 
      image(bg1, 0, 0);
      textFont(fmid); 
      fill(133,0,0);
      stroke(133, 0, 0);
      text("private ID", 22+int(random(10)), 230);
    } 
    else {

      cloudy();

      if(modechange == true) {
        friendmode1();
        //  myStream.volume(0.0);
      } 
      else {
        friendmode2();
        // myStream.volume(1.0);
      }


    }

    int randy = int(random(10));

    if(overTryAgain == true  ){
      fill(125);
      stroke(125);
    } 
    else {
      fill(185);
      stroke(185);
    }
    rect(250+randy, 380, 100, 20);
    fill(25);
    stroke(25);
    textFont(f2); 
    text(">> try again", 260+randy, 395);

  }

  kirakira();

}
